summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-05-10 15:13:29 +0000
committerJim Meyering <jim@meyering.net>2004-05-10 15:13:29 +0000
commitc98f083d36fbce3cfd3258db3e2c3e08e6e167b7 (patch)
treeab76f7b2816ef5b4c855c61afdae7697742022e4
parent507294085addef86560baca01b820ba459d539f1 (diff)
downloadcoreutils-c98f083d36fbce3cfd3258db3e2c3e08e6e167b7.tar.gz
New file. Test for bug fix of 2004-04-18.
-rwxr-xr-xtests/install/trap30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/install/trap b/tests/install/trap
new file mode 100755
index 000000000..a43c55229
--- /dev/null
+++ b/tests/install/trap
@@ -0,0 +1,30 @@
+#!/bin/sh
+# Ensure that `install -s' doesn't infloop when its parent
+# process traps CHLD signal.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ ginstall --version
+fi
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+# Before 2004-04-21, install would infloop, in the `while (wait...' loop:
+trap '' CHLD
+ginstall -s $pwd/../../src/ginstall .
+
+(exit $fail); exit $fail